Bug 1793293 - xdg-desktop-portal: Failed to get application states:
Summary: xdg-desktop-portal: Failed to get application states:
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: xdg-desktop-portal
Version: 31
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-21 05:40 UTC by Brian Kaye
Modified: 2020-09-23 18:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Brian Kaye 2020-01-21 05:40:47 UTC
Description of problem: Message "xdg-desktop-por[2894]: Failed to get application states: GDBus.Error:org.freedesktop.portal.Error.Failed: Could not get window list: Cannot invoke method; proxy is for the well-known name org.gnome.Shell without an owner, and proxy was constructed with the G_DBUS_PROXY_FLAGS_DO_NOT_AUTO_START flag" appearing journal at 1 minute intervals.


Version-Release number of selected component (if applicable):
xdg-desktop-portal-gtk-1.4.0-1.fc31.x86_64
xdg-desktop-portal-kde-5.17.5-1.fc31.x86_64
xdg-desktop-portal-1.4.2-3.fc31.x86_64

How reproducible: Occurs once per minute fills journal


Steps to Reproduce:
1.Run KDE desktop applications
2.
3.

Actual results:
Message in journal once per minute

Expected results: No messages


Additional info:

Comment 1 Need Real Name 2020-08-03 20:52:31 UTC
Probably related to: bug #1862581

Comment 2 Petr Stodulka 2020-09-23 18:21:36 UTC
Maybe related to bug 1744416 (if so, fixed on F32)


Note You need to log in before you can comment on or make changes to this bug.